Prerequisites

Helm and Carvel are mutually-exclusive options for installing the VMware Tanzu GemFire for Kubernetes Operator and CRD. Only one is needed.

  • A Kubernetes cluster, version 1.22 or a more recent version
  • cert-manager version 1.6.0 or greater installed in your cluster
  • kubectl, a version that works with your Kubernetes cluster
  • Helm, version 3.9 or a more recent version
  • Carvel tools:
    • ytt: version 0.39.0 or a more recent version
    • kbld: version 0.32.0 or a more recent version
    • kapp: version 0.45.0 or a more recent version
    • imgpkgt: version 0.24.0 or a more recent version
  • Access to VMware Tanzu Network, to acquire the Helm chart or Carvel bundle
  • Sufficient memory and CPU capacity in your cluster to accomodate memory and CPU resources you have requested for Tanzu GemFire cluster locators and servers.
  • Enough nodes in your Kubernetes cluster to support all of your Tanzu GemFire cluster servers, if you will set the antiAffinityPolicy to a value other than None. For optimal throughput, we recommend that you set CPU requests for GemFire member pods near the cluster node’s maximum vCPUs.

Supported Platforms

These Kubernetes platforms support VMware Tanzu GemFire for Kubernetes.

  • Google Kubernetes Engine (GKE)

  • Tanzu Kubernetes Grid (TKG)

  • Tanzu Kubernetes Grid Integrated Edition (TKGi)

check-circle-line exclamation-circle-line close-line
Scroll to top icon